Subject: bug#47899: closed (Re: bug#47899: Shepherd Loses Track of Tor Service)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Feb 2023 14:07:02 +0000

Your bug report

#47899: Shepherd Loses Track of Tor Service

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47899: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47899
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47899: Shepherd Loses Track of Tor Service
From: Ludovic Courtès <[email-masked]>
To: Noah Landis <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Feb 2023 15:06:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Noah,

Noah Landis <[email-masked]> skribis:

> I was trying to replicate my system on another machine and when I
> finished I realised I could not restart tor. After that I was frustrated
> and did a fresh install and after running 'guix pull' and 'sudo guix
> system reconfigure /etc/config.scm' tor could still not be
> started. I went on the irc and nckx told me to run 'pgrep tor' which
> returned a number. After running 'sudo kill that-number' and 'sudo herd
> enable tor && sudo herd restart tor', the tor service could be
> started. I then rebooted and it once again could not be started, yet
> 'prgep tor' returned a number.

Apologies for the late reply.  Version 0.9.3 of the Shepherd, released a
few months ago, fixed things in this area, and it’s likely that the bug
is gone now.

I’m closing this issue but please do reopen it if you notice something
fishy!

Thanks,
Ludo’.

Subject: Shepherd Loses Track of Tor Service
From: Noah Landis <[email-masked]>
To: [email-masked]
Date: Mon, 19 Apr 2021 19:16:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I was trying to replicate my system on another machine and when I
finished I realised I could not restart tor. After that I was frustrated
and did a fresh install and after running 'guix pull' and 'sudo guix
system reconfigure /etc/config.scm' tor could still not be
started. I went on the irc and nckx told me to run 'pgrep tor' which
returned a number. After running 'sudo kill that-number' and 'sudo herd
enable tor && sudo herd restart tor', the tor service could be
started. I then rebooted and it once again could not be started, yet
'prgep tor' returned a number.

Thanks!

-- 
Noah Landis  <[email-masked]>
GPG key = 3D5E 7A7A 0DF1 B4D8 669C F3EE 30B8 3188 A3AF F882
Confidentiality cannot be guaranteed on emails sent or received unencrypted